Google toolbar for Firefox 1.5 RC1

Google toolbar for Firefox 1.5 RC1

Summary: With Google's push for people to use their toolbar, it is surprising they have not yet officially released a version compatible with Firefox 1.5 RC1.

SHARE:
TOPICS: Google
6

googletoolbar.gifIf you are a Firefox user who has upgraded to the latest release candidate, you have probably noticed the Google Toolbar has ceased to function.  Google has still not released a new version of their toolbar that installs on Firefox 1.5 RC1 and higher.  The "max version" in the official google-toolbar.xpi file specifies that it is compatible with versions 1.0 - 1.4.1 (1.0 up to 1.5 BETA).  Read on for tips to get your old toolbar working.

A short history of the Google Toolbar
First Google made an IE-only toolbar which users fell in love with.  The toolbar's PageRank feature changed the world of SEO, even though the "weight" of PageRank is uncertain.  After quite some time, they finally made a Google Toolbar for Firefox, which was welcomed with open arms.  Things were looking promising when Google released a version for Firefox 1.5 BETA -- it made us optimistic about future browser compatibility.

A week of speculation about what was happening between Google and Sun turned out to be nothing more than the announcement of bundling the Google Toolbar with Java, thereby exposing it to more users.  Now there is even going to be a "Firefox + Google Toolbar" bundle that AdSense members can promote to make money.  With Google's push for people to use their toolbar, it is surprising they have not yet officially released a version compatible with Firefox 1.5 RC1. 

I made a quick modification to the google-toolbar.xpi file to see if it would work.  It did!  This file now correctly specifies which versions of Firefox it is compatible with (1.0 - 1.5+).  The modified version of the toolbar now works with all release candidates and the final 1.5 version.

Here are the steps that you can follow to use the Google Toolbar with Firefox 1.5 RC1 and higher:

  1. Save this file (http://toolbar.google.com/firefox/extensions/toolbar/google-toolbar.xpi) to your desktop by right-clicking it and choosing either "Save Link As..." or "Save Target As...".

  2. Rename this file to google-toolbar.zip

  3. In the archive, modify the following line in the install.rdf file:
    Change "<em:maxVersion>1.4.1</em:maxVersion>" To "<em:maxVersion>1.5+</em:maxVersion>"
    (you may be required to extract this file, modify it, then replace it)

  4. Delete entire META-INF directory in the archive

  5. Rename google-toolbar.zip back to google-toolbar.xpi

  6. Open Firefox

  7. Drag google-toolbar.xpi into the main browser area of Firefox

  8. Click "install" after the countdown

  9. Close Firefox

  10. Open Firefox
If everything was done correctly, you should now see the Google Toolbar in your Firefox 1.5 RC1!

Topic: Google

Kick off your day with ZDNet's daily email newsletter. It's the freshest tech news and opinion, served hot. Get it.

Talkback

6 comments
Log in or register to join the discussion
  • The only thing I need

    The only thing I need is the searchbox - which comes built into Firefox. What in the world do I need a whole toolbar for?
    CobraA1
    • Amen!

      I suppose that if you want a quick link to Gmail - but you could put THAT in the Bookmarks toolbar . . . Why lose that VALUABLE screen real estate?
      Roger Ramjet
    • comes built into Firefox

      http://www.analogstereo.com/skoda_octavia_owners_manual.htm
      us_forums
  • Also try this

    After I installed 1.5 I simply right clicked on the toolbar section and checked google toolbar. It appeared and has been working since then.
    gary943
    • Where exactly did you click?

      Where exactly did you click? I have right clicked on gray area at top of Mozilla Firefox and not seen anything about a Google Toolbar, so I am not doing it correctly. Tx
      lsmithes76
      • In Firefox 1.0 you right click, don't see that option in 1.5.

        In Firefox 1.0 you right click to get the Google Toolbar, don't see that option in 1.5.
        lsmithes76